LookupError: unknown encoding: unicode-escape

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

LookupError: unknown encoding: unicode-escape

duplicity-talk mailing list
Hello,

On a long-running Ubuntu server (LSB 14.04.6 LSB) backups have been made
with Duplicity 0.6.23 since July 2016. All packages have been regularly
upgraded to their latest versions, but nothing else has been changed.
Even so, from about May 2020, duplicity crashes with the error below. 
Can anything be done about this?

Jan Hartmann



Traceback (most recent call last):
   File "/usr/bin/duplicity", line 1494, in <module>
   File "/usr/bin/duplicity", line 1488, in with_tempdir
   File "/usr/bin/duplicity", line 1337, in main
   File "/usr/bin/duplicity", line 1470, in do_backup
   File "/usr/bin/duplicity", line 637, in incremental_backup
   File "/usr/bin/duplicity", line 405, in write_multivol
   File "/usr/lib/python2.7/dist-packages/duplicity/gpg.py", line 383,
in GzipWriteFile
   File "/usr/lib/python2.7/dist-packages/duplicity/diffdir.py", line
518, in next
   File "/usr/lib/python2.7/dist-packages/duplicity/diffdir.py", line
216, in get_delta_iter
   File "/usr/lib/python2.7/dist-packages/duplicity/diffdir.py", line
165, in log_delta_path
   File "/usr/lib/python2.7/dist-packages/duplicity/util.py", line 56,
in escape
LookupError: unknown encoding: unicode-escape


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk
Reply | Threaded
Open this post in threaded view
|

Re: LookupError: unknown encoding: unicode-escape

duplicity-talk mailing list
It looks like a unicode problem.  If you have unicode issues you should really really update to Duplicity 0.8.X (preferably X=14).  It may be some packages are unicode aware and duplicity is not.

I think you will have to restart your duplicity sequence with a new full backup since there is a incompatibility in files between 0.6.X and 0.8.X.

-Scott


> On Jul 8, 2020, at 11:42 AM, Jan Hartmann via Duplicity-talk <[hidden email]> wrote:
>
> Hello,
>
> On a long-running Ubuntu server (LSB 14.04.6 LSB) backups have been made with Duplicity 0.6.23 since July 2016. All packages have been regularly upgraded to their latest versions, but nothing else has been changed. Even so, from about May 2020, duplicity crashes with the error below.  Can anything be done about this?
>
> Jan Hartmann
>
>
>
> Traceback (most recent call last):
>   File "/usr/bin/duplicity", line 1494, in <module>
>   File "/usr/bin/duplicity", line 1488, in with_tempdir
>   File "/usr/bin/duplicity", line 1337, in main
>   File "/usr/bin/duplicity", line 1470, in do_backup
>   File "/usr/bin/duplicity", line 637, in incremental_backup
>   File "/usr/bin/duplicity", line 405, in write_multivol
>   File "/usr/lib/python2.7/dist-packages/duplicity/gpg.py", line 383, in GzipWriteFile
>   File "/usr/lib/python2.7/dist-packages/duplicity/diffdir.py", line 518, in next
>   File "/usr/lib/python2.7/dist-packages/duplicity/diffdir.py", line 216, in get_delta_iter
>   File "/usr/lib/python2.7/dist-packages/duplicity/diffdir.py", line 165, in log_delta_path
>   File "/usr/lib/python2.7/dist-packages/duplicity/util.py", line 56, in escape
> LookupError: unknown encoding: unicode-escape
>
>
> _______________________________________________
> Duplicity-talk mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/duplicity-talk


_______________________________________________
Duplicity-talk mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/duplicity-talk